Change of the layer CRS not immediately applied on canvas

2013-07-28 08:17 PM - Pedro Venâncio

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17147

Description

When I change the CRS of a layer, this change is only visible on canvas after interacting with it in some way, for example with a pan or

zoom.

I leave a screencast where you can see this behavior: http://goo.gl/dkjnTe

This seems a regression, anyone confirm?

History

#1 - 2013-07-29 01:01 AM - Giovanni Manghi

Yes it happens when choosing the CRS from the "set layers CRS" dialog, but not if choosing it from the vector properties dialog.

#2 - 2013-09-14 07:33 AM - Leyan Ouyang

Is it still the case for you? With latest Master the changes I make to the CRS are directly visible in the canvas, both with "set layer CRS" and the vector

properties.

#3 - 2013-09-15 04:21 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

This issue seems fixed/gone.

2024-03-20 1/1

http://goo.gl/dkjnTe

